# Class JmolPanel.ScriptWindowAction

java.lang.Object
javax.swing.AbstractAction
org.openscience.jmol.app.jmolpanel.JmolPanel.ScriptWindowAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

Enclosing class:
  `JmolPanel`

public class JmolPanel.ScriptWindowAction extends AbstractAction

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractAction

`changeSupport, enabled`

### Fields inherited from interface Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`ScriptWindowAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Action

`accept`

## Constructor Details

### ScriptWindowAction

public ScriptWindowAction()

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)